#
# spec file for package gnuserv
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnuserv
Version:        3.12.6
Release:        lp151.4.3
Summary:        Server and Clients for Emacs
License:        GPL-2.0-or-later
Group:          Productivity/Text/Editors
Source:         http://meltin.net/hacks/emacs/gnuserv-%{version}.tar.gz
Source1:        %{name}-README.SUSE
Patch0:         gnuserv-3.12.6.diff
BuildRequires:  autoconf
BuildRequires:  emacs-nox
Provides:       fgnuserv
Obsoletes:      fgnuserv

%description
This package is not required for XEmacs, because the tools included
here are a part of the XEmacs package.

With these tools, an already running Emacs can be accessed externally,
for example, in order to edit a file or run a code in Emacs Lisp. This
way, there is no need to start a new Emacs each time another
application loads an editor.

Find hints at %{_docdir}/gnuserv/README.SUSE.

%prep
%setup -q
cp -p %{SOURCE1} README.SUSE
%patch0 -p1

%build
autoreconf -fiv
%configure
make %{?_smp_mflags} all gnuserv.elc

%install
install -d -m755 \
  %{buildroot}%{_mandir}/man1 \
  %{buildroot}%{_datadir}/emacs/site-lisp
make install  \
  exec_prefix=%{buildroot}%{_prefix} \
  prefix=%{buildroot}%{_prefix} \
  man1dir=%{buildroot}%{_mandir}/man1
make install-elisp \
  elispdir=%{buildroot}%{_datadir}/emacs/site-lisp \
  prefix=%{buildroot}%{_prefix}
pushd %{buildroot}%{_mandir}/man1
for f in *.1 ; do
  case $f in
    gnuserv.1)
      # To avoid conflict with xemacs:
      mv $f emacs-$f
      ;;
    *)
      rm -f $f
      ln -s emacs-gnuserv.1.gz emacs-$f.gz
      ;;
  esac
done
popd
mv README.orig README.%{name}

%files
%license COPYING
%doc README README.%{name} README.SUSE
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/emacs/site-lisp/*

%changelog
* Wed Mar  7 2018 mpluskal@suse.com
- Clean up spec file with spec-clener
* Thu Mar  1 2018 crrodriguez@opensuse.org
- Remove xorg-x11-devel from buildrequires, X libs
  are looked up by configure but they are never used.
* Mon Nov 13 2017 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE, adhering to the correct
  spelling.
* Tue Dec 20 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Tue Oct 21 2008 ke@suse.de
- Improve README.SuSE ; reported and verified by Dieter Jurzitza
  [bnc#436939].
* Wed Aug  2 2006 aj@suse.de
- Fix build with X11R7.
* Wed May 24 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Tue Sep 28 2004 ke@suse.de
- Configure need X includes and libraries; thanks to Martin Schwenke for
  help [# 45999].
* Tue Aug 31 2004 schwab@suse.de
- Update to gnuserv 3.12.6.
- Fix manpage links.
* Fri Mar 19 2004 ke@suse.de
- Rename README.orig to README.%%{name} to make autobuild happy.
* Wed Jun 19 2002 ke@suse.de
- Use more RPM macros.
- Rename manpages (emacs-*) to avoid conflicts with xemacs [# 15120].
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Nov 12 2001 ro@suse.de
- added emacs dependency graphics libs to neededforbuild
* Sun May  6 2001 schwab@suse.de
- Fix portability bug.
* Tue Mar 13 2001 ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar  8 2001 uli@suse.de
- added xf86 to neededforbuild
* Mon Feb  5 2001 ke@suse.de
- Update to version 3.12.1 (security update on request by Martin
  Schwanke; thanks!).
- Use more RPM macros.
* Fri Nov 17 2000 ro@suse.de
- ge_exec -> emacs
* Mon Feb 28 2000 schwab@suse.de
- /usr/man -> /usr/share/man
- Add group tag.
- configure -> %%build
* Mon Oct  4 1999 ke@suse.de
- Update: 3.11.1 (use sources provided by Martin Schwenke), based on
  recent XEmacs files.
- Rename package: formerly `fgnuserv'.
- spec file cleanup.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun May  2 1999 ke@suse.de
- initial package: version 1.0.
